Ginkgo: gko::preconditioner::Sor< ValueType, IndexType >::parameters_type Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::preconditioner::Sor< ValueType, IndexType >::parameters_type Struct Reference
Inheritance diagram for gko::preconditioner::Sor< ValueType, IndexType >::parameters_type:
[legend]
Collaboration diagram for gko::preconditioner::Sor< ValueType, IndexType >::parameters_type:
[legend]

## Public Member Functions
template<typename... Args>
auto | with_skip_sorting (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_symmetric (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_relaxation_factor (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
auto | with_l_solver (::gko::deferred_factory_parameter< l_solver_type > factory) -> std::decay_t< decltype(*(this->self()))> &
auto | with_u_solver (::gko::deferred_factory_parameter< u_solver_type > factory) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::enable_parameters_type< parameters_type, Sor >
parameters_type & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Sor > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.

## Public Attributes
bool | skip_sorting {false}
bool | symmetric {false}
remove_complex< value_type > | relaxation_factor {remove_complex<value_type>(1.2)}
std::shared_ptr< const LinOpFactory > | l_solver {}
std::shared_ptr< const LinOpFactory > | u_solver {}

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< parameters_type, Sor >
using | factory

The documentation for this struct was generated from the following file:

- ginkgo/core/preconditioner/sor.hpp